//variable for GA
var ua = "";
var isAndroid = "";
var isIOS = "";
var type = "";
var device = "";
//variable for result
var page_number = 1;
var nresults;
var npage;
var totpage;
var cosa = "";
var category = "";
var dove = "";
var geocoder;
var lat = "";
var lng = "";
//DEBUG
var debug = "";


/**
 * initialize app
 */
function initialize() {
    debug = false;
    if(debug) view("initialize");
    document.addEventListener("deviceready", onDeviceReady, true);
}

/**
 * Start when device is ready
 */
function onDeviceReady() {
    //match device
    ua = navigator.userAgent.toLowerCase();
    isAndroid = navigator.userAgent.match(/(android)/i) ? true : false ;
    isIOS = navigator.userAgent.match(/(iPad|iPhone|iPod)/i) ? true : false ;
    if(isAndroid) device = "android";
    else if(isIOS) device = "ios";
    if(debug) view("device ready: "+device);
    //monitor analytics
    ga_storage._setAccount('UA-18988158-1');
    ga_storage._trackPageview('elenco_telefonico/'+ device);
    //geolocate
    geolocation();
}

/**
 *geolocation phonegap
 */
function geolocation(){
    if(debug) view("geolocation: "+device);
    navigator.geolocation.getCurrentPosition(geolocate, error_geolocate);
}

/**
 * Geolocation phonegap
 */
function geolocate(position){    
    lat = parseFloat(position.coords.latitude);
    lng = parseFloat(position.coords.longitude);
    if(debug) view("coordinate: "+lat+"/"+lng);
    start();
}

/**
 * Reverse geolocate
 * date le coordinate geografiche, recupero nome città da api 892000
 */
function reverseGeolocate(){
    if((lat != "")&&(lng != "")){
        var latlng = lat+","+lng
        $.ajax({ 
                type: "GET", 
                url: 'http://api.892000.it/geolocation.php?latlng='+latlng+'&sensor=true&utl=geolocate&token=g30ApPl1', 
                cache : false, 
                crossDomain: "true", 
                success: function(data) { 
                     if(debug) view("reverse geolocate: "+data);
                     if($("#localita").val() == "") $("#localita").val(data)
                     if($("#localita_azienda").val() == "") $("#localita_azienda").val(data)
                     $(".localita_eme").val(data)
                }, 
                error: function (xhr, status) {                      
                    if(debug) view('Unknown error ' + status);
                }    
            });
    }
}

/**
 * Error geolocation, empty coordinate
 */
function error_geolocate(){
    lat = ""
    lng = "";
    start();
}

/**
 * Track click event
 */
function PageButtonClicked(type){
    if(debug) view("click button: "+type);
    //monitor analytics
    ga_storage._trackPageview('elenco_telefonico/'+ device + '/' + type);
}

/**
 * Generic error
 */
function onError(error) {
    if(debug) view('code: '    + error.code    + '\n' + 'message: ' + error.message + '\n');
}

/**
 * Log
 */
function nativePluginResultHandler (result) {
    if(debug) view('nativePluginResultHandler: '+result);
}

/**
 * if enabled debug --> print all error
 * @param {type} text
 * @returns {undefined}
 */
function view(text){
    alert(text);
    //console.log(text);
}

/**
 * Start, call 892000 research
 */
function start(){
    if(debug) view("start");
    reverseGeolocate();
    $('.returnTopAction').live('click', function() {
        $('html, body').animate({
            scrollTop: '0'
        }, 700);
    });
    $('#gallery-page').live('pageshow', function () { 
        $myPhotoSwipe = $(".gallery a").photoSwipe({
            enableMouseWheel: false , 
            enableKeyboard: false
        });
    });
    $('#search_aziende').live("click", function() {
        var results = ""
        $(".loading").show();
        $("#more_result").css("visibility","hidden") ;
        var nome_azienda = $("#nome_azienda").val()
        var localita_aziende = $("#localita_azienda").val()
        category = "";
        dove = localita_aziende;
        cosa = nome_azienda;        
        if(nome_azienda != ""){
            $.getJSON('http://api.892000.it/engine_1.php?cosa='+nome_azienda+'&dove='+localita_aziende+'&vicinoa=&lat=&lng=&page=1&aziende=1&rp=20&export=json&utl=antonio&token=4nt0n10')
                .done(function(data){                    
                    //paginazione    
                    nresults = data.summary.nresults;
                    npage = data.summary.npage;
                    totpage = data.summary.totpage;

                    if(nresults == 0){
                           results += "<div class='boxContainer'>Nessun risultato trovato</div>"
                           $(".loading").hide()
                    }
                    else{
                        if(totpage > 1) $("#more_result").css("visibility","visible") ;
                         
                        if( Object.prototype.toString.call( data.results.listing.row ) === '[object Array]' ) {
                            var search;
                            search = data.results.listing.row
                        }
                        else{
                           var search = new Array(); 
                           search[0] = data.results.listing.row
                        }
                        $.each(search, function(i,item){                           
                            if(debug) view(item)
                            var nome = ""
                            var indirizzo = ""
                            var citta = ""
                            var categoria = ""
                            var contatti = ""
                            var opec = "";
                            var tipo_contatto = ""
                            var descrizione = ""
                            var orari = ""
                            var orariCli = ""
                            var carteCredito = ""
                            var cucina = ""
                            var servizi = ""
                            nome += item.ragione_sociale
                           
                            if(typeof item.insegna !== "object") nome += "<br>"+item.insegna
                            indirizzo += item.indirizzo
                            citta += item.cap + " "+ item.comune + " (" + item.provincia + ")";
                            opec = item.codiceOPEC;
                            if(typeof item.descrizione !== "object") descrizione = item.descrizione
                            $.each(item.contatti,function(y,contact){                               
                               if(debug) view("contact: "+contact);
                               $.each(contact,function(y,cont){
                                    tipo_contatto  = cont.tipo

                                    if((tipo_contatto == "F")||(tipo_contatto == "M")||(tipo_contatto == "NV")){
                                        contatti += '<a href="tel:'+cont.prefisso+''+ cont.numero +'">'
                                        contatti += '<img src="images/Phone_1.png" class="button_contact" />'
                                        contatti += '</a>' 
                                    }
                                    if(tipo_contatto == "EMAIL"){
                                        contatti += '<a href="mailto:'+ cont.numero+'">'
                                        contatti += '<img src="images/Email_1.png" class="button_contact" />'
                                        contatti += '</a>'
                                    }
                                    if(tipo_contatto == "M"){
                                        contatti += '<a href="sms:' + cont.prefisso +''+  cont.numero+'">'
                                        contatti += '<img src="images/Mobile_1.png" class="button_contact" />'
                                        contatti += '</a>'
                                    }
                               })
                            })
                            //oggetti
                            $.each(item.oggetti,function(z,ogg){                              
                               if(debug) view("ogg: "+ogg);
                               if( Object.prototype.toString.call( ogg ) === '[object Array]' ) {
                                     $.each(ogg,function(a,og){
                                         //orari farmacia
                                         if(og.nome_oggetto == "VFA"){
                                             orari += "<div class='dataOr'><b>"+og.template+"</b></div>";
                                             orari += "<div class='oraOr'>"
                                             if(typeof og.testo !== "object") orari+=og.testo;
                                             else orari += "CHIUSO";
                                             orari += "</div>"
                                         } 
                                         //orari cli
                                         if(og.nome_oggetto == "CLI"){
                                             orariCli += "<div class='dataOr'><b>"+og.template+"</b></div>";
                                             orariCli += "<div class='oraOr'>"
                                             if(typeof og.testo !== "object") orariCli += og.testo;
                                             else orariCli += "CHIUSO";
                                             orariCli += "</div>"

                                         }
                                         //carte di credito
                                         if(og.nome_oggetto == "CC"){
                                             if(typeof og.testo !== "object") carteCredito += og.testo+" / ";
                                         }
                                         //cucina
                                         if(og.nome_oggetto == "CU"){
                                             if(typeof og.testo !== "object") cucina += og.testo+" / ";
                                         }
                                         //servizi
                                         if(og.nome_oggetto == "SE"){
                                             if(typeof og.testo !== "object") servizi += og.testo+" / ";
                                         }
                                     })
                               }
                               else{
                                   //orari farmacia
                                   if(ogg.nome_oggetto == "VFA"){
                                       orari += "<div class='dataOr'><b>"+ogg.template+"</b></div>";
                                       orari += "<div class='oraOr'>"
                                       if(typeof ogg.testo !== "object") orari += ogg.testo;
                                       else orari += "CHIUSO";
                                       orari += "</div>"
                                   }
                                   //orari cli
                                   if(ogg.nome_oggetto == "VFA"){
                                       orariCli += "<div class='dataOr'><b>"+ogg.template+"</b></div>";
                                       orariCli += "<div class='oraOr'>"
                                       if(typeof ogg.testo !== "object") orariCli += ogg.testo;
                                       else orariCli += "CHIUSO";
                                       orariCli += "</div>"
                                   }
                                   //carte di credito
                                   if(ogg.nome_oggetto == "CC"){
                                      if(typeof ogg.testo !== "object") carteCredito += ogg.testo+" / ";
                                   } 
                                   //cucina
                                   if(ogg.nome_oggetto == "CU"){
                                      if(typeof ogg.testo !== "object") cucina += ogg.testo+" / ";
                                   }
                                   //cucina
                                   if(ogg.nome_oggetto == "SE"){
                                      if(typeof ogg.testo !== "object") servizi += ogg.testo+" / ";
                                   }
                               }
                            })
                            //navigatore
                            if(isAndroid) {
                                contatti += '<a href="geo:'+item.latitudine+','+item.longitudine+'?q='+item.indirizzo.toLowerCase()+'+'+item.comune.toLowerCase()+'">'
                                contatti += '<img src="images/Nav_1.png" class="button_contact" />'
                                contatti += '</a>'
                            }
                            else if(isIOS){
                                //<a href="http://maps.apple.com/?q=cupertino">Cupertino</a>
                                contatti += '<a href="http://maps.google.com/?q='+item.indirizzo.toLowerCase()+'+'+item.comune.toLowerCase()+'&ll='+item.latitudine+','+item.longitudine+'" >'
                                contatti += '<img src="images/Nav_1.png" class="button_contact" />'
                                contatti += '</a>'
                            }
                            //categorie
                            var input = [];
                            if( Object.prototype.toString.call( item.category_name ) === '[object Array]' ) {
                                 $.each(item.category_name,function(y,cat){
                                     input.push(cat);
                                 });
                            }
                            else{
                                input.push(item.category_name);
                            }
                            categoria += "<p class='ui-li-desc categorie_listing info'><b>Categoria: </b>";
                            categoria += "<i>"+input+"</i>";
                            categoria += "</p>";
                            //result
                            results += "<div class='boxContainer'>"
                            results += "<div class='intestazione'>"                           
                            if(nome != "")        results += "<h2 class='title'>"+nome+"</h2>"
                            if(indirizzo != "")   results += "<p class='info'>"+indirizzo + "</p>"
                            if(citta != "")       results += "<p class='info'>" +  citta + "</p>"
                            results += "</div>"
                            if(descrizione != "") results += "<p class='descrizione'>" + descrizione + "</p>";
                            if(categoria != "")   results += categoria
                            if(carteCredito != "")results += "<p class='info'><b>Carte di credito: </b><i>" + carteCredito + "</i></p>"
                            if(cucina != "")      results += "<p class='info'><b>Cucina: </b><i>" + cucina + "</i></p>"
                            if(servizi != "")     results += "<p class='info'><b>Servizi: </b><i>" + servizi + "</i></p>"
                            if(orari != "")       results += orari
                            if(orariCli != "")    results += orariCli
                            if(contatti != "")    results += "<p class='contatti'>"+ contatti + "</p>"
                            results += "</div>"
                        });
                     
                    }
                    //print result
                    $("#container").html(results)
                    $(".loading").hide()
                    })
                .fail(function( jqxhr, textStatus, error ) {
                        var err = textStatus + ', ' + error;                        
                        if(debug) view("Request Failed: " + err)
                        results += "<div class='boxContainer'>Errore generico.<br/>Riavviare l' applicazione</div>"
                        $("#container").html(results)
                        $(".loading").hide()
                });
        }
        else{
            alert("Il campo NOME AZIENDA e' obbligatorio")
            return false;
        }
    });
    //ricerca privati
    $('#search_privati').live("click", function() {
        var results = ""
        $(".loading").show();
        $("#more_result_privati").css("visibility","hidden") ;
        var cognome = $("#cognome").val()
        var localita = $("#localita").val()
        category = "";
        dove = localita
        cosa = cognome;
        //submit the form
        if(cognome != ""){
            $.ajax({ 
                type: "GET", 
                url: 'http://api.892000.it/engine_1.php?cosa='+cognome+'&dove='+localita+'&vicinoa=&lat=&lng=&page=1&utenze=1&rp=20&export=xml&utl=antonio&token=4nt0n10', 
                cache : false, 
                crossDomain: "true", 
                success: function(data) { 
                    if(debug) view(data);
                    var xmlDoc = jQuery.parseXML(data);
                    $xml = $( xmlDoc )
                    //paginazione    
                    $xml.find('summary').each(function(){
                        nresults = $(this).find('nresults').text();
                        npage = $(this).find('npage').text();
                        totpage = $(this).find('totpage').text();
                    })
                    if(nresults == 0){
                        if(nresults == 0){
                           results += "<div class='boxContainer'>Nessun risultato trovato</div>"
                           $(".loading").hide()
                        }   
                        $(".loading").hide()
                    } 
                    else{
                        if(totpage > 1) $("#more_result_privati").css("visibility","visible") ;
                        //risultati
                        $xml.find('row').each(function(){
                            var nome = ""
                            var indirizzo = ""
                            var citta = ""
                            var contatti = ""
                            var professione = ""
                            if($(this).find('cognome').text()  != "") nome += $(this).find('cognome').text().toUpperCase() + " ";
                            if($(this).find('nome').text()  != "")    nome += $(this).find('nome').text().toUpperCase();
                            if(($(this).find('professione').text()  != "")&&($(this).find('professione').text()  != " "))    professione += $(this).find('professione').text();
                            if($(this).find('via').text()  != "")     indirizzo += $(this).find('via').text().toLowerCase()
                            if($(this).find('comune').attr('cap')  != "") citta += $(this).find('comune').attr('cap') + ' ';
                            if($(this).find('comune').text()  != "") citta += $(this).find('comune').text().substr(0, 1).toUpperCase() + $(this).find('comune').text().substr(1).toLowerCase()  + ' ';
                            if($(this).find('comune').attr('provincia')  != "") citta += '('+ $(this).find('comune').attr('provincia').toUpperCase() + ')';
                            $(this).find('contatto').each(function(){
                                var tipo_contatto = $(this).attr('tipo');
                                if((tipo_contatto == "F")||(tipo_contatto == "M")||(tipo_contatto == "NV")){
                                    contatti += '<a href="tel:'+$(this).attr('prefisso')+''+ $(this).text()+'">'
                                    contatti += '<img src="images/Phone_1.png" class="button_contact" />'
                                    contatti += '</a>' 
                                }
                                if(tipo_contatto == "EMAIL"){
                                    contatti += '<a href="mailto:'+$(this).text()+'">'
                                    contatti += '<img src="images/Email_1.png" class="button_contact" />'
                                    contatti += '</a>'
                                }
                                if(tipo_contatto == "M"){
                                    contatti += '<a href="sms:'+$(this).attr('prefisso')+''+ $(this).text()+'">'
                                    contatti += '<img src="images/Mobile_1.png" class="button_contact" />'
                                    contatti += '</a>'
                                }
                            }) 
                            if(($(this).find('email').text() != " ")&&($(this).find('email').text() != "")){
                                contatti += '<a href="mailto:'+$(this).find('email').text()+'">'
                                contatti += '<img src="images/Email_1.png" class="button_contact" />'
                                contatti += '</a>'
                            } 
                            if(isAndroid) {
                                contatti += '<a href="geo:0,0?q='+$(this).find('via').text().toLowerCase()+'+'+$(this).find('comune').text().toLowerCase()+',' + $(this).find('comune').attr('provincia')+'" >'
                                contatti += '<img src="images/Nav_1.png" class="button_contact" />'
                                contatti += '</a>'
                            }
                            else if(isIOS){
                                //<a href="http://maps.apple.com/?q=cupertino">Cupertino</a>
                                contatti += '<a href="http://maps.google.com/?q='+$(this).find('via').text().toLowerCase()+'+'+$(this).find('comune').text().toLowerCase()+',' + $(this).find('comune').attr('provincia')+'" >'
                                contatti += '<img src="images/Nav_1.png" class="button_contact" />'
                                contatti += '</a>'
                            }
                            //results
                            results += "<div class='boxContainer'>"
                            results += "<div class='intestazione'>"                           
                            if(nome != "")        results += "<h2 class='title'>"+nome+"</h2>"
                            if(indirizzo != "")   results += "<p class='info'>"+indirizzo + "</p>"
                            if(citta != "")       results += "<p class='info'>" +  citta + "</p>"
                            results += "</div>"
                            if((professione != "")&&(professione != " ")) results += "<p class='info'><b>Professione: </b><i>" + professione + "</i></p>"
                            if(contatti != "")    results += "<p class='contatti'>"+ contatti + "</p>"
                            results += "</div>"                            
                        })                        
                    }
                    //print result
                    $("#container").html(results)
                    $(".loading").hide()
                }, 
                error: function (xhr, status) {  
                    if(debug) view( "Request Failed: " + status);
                    results += "<div class='boxContainer'>Errore generico.<br/>Riavviare l' applicazione</div>"
                    $("#container").html(results)
                    $(".loading").hide()
                }    
            });
        }
        else{
            alert("Il campo COGNOME e' obbligatorio")
            return false;
        }
    });
    //ricerca per categoria
    $(".searchCat").live("click", function(){        
        var results = ""
        $(".loading").show();
        $("#more_result").css("visibility","hidden") ;
        var localita_cat = $(this).parents("div[data-role='page']").find(".localita_eme").val();
        var cat = $(this).find(".cod_cat").text();
        category = cat;
        dove = localita_cat;
        cosa = "";
        if(cat != ""){
            $.getJSON('http://api.892000.it/engine_1.php?cosa=&cat='+cat+'&dove='+localita_cat+'&vicinoa=&lat=&lng=&page=1&aziende=1&rp=20&export=json&utl=antonio&token=4nt0n10')
                .done(function(data){                   
                    //paginazione    
                    nresults = data.summary.nresults;
                    npage = data.summary.npage;
                    totpage = data.summary.totpage;
                    if(nresults == 0){
                           results += "<div class='boxContainer'>Nessun risultato trovato</div>"
                           $(".loading").hide()
                    }
                    else{
                       if(totpage > 1) $("#more_result").css("visibility","visible") ;
                       if( Object.prototype.toString.call( data.results.listing.row ) === '[object Array]' ) {
                            var search;
                            search = data.results.listing.row
                       }
                       else{
                           var search = new Array(); 
                           search[0] = data.results.listing.row
                       }                       
                       $.each(search, function(i,item){                           
                           if(debug) view("item: "+item);
                           var nome = ""
                           var indirizzo = ""
                           var citta = ""
                           var categoria = ""
                           var contatti = ""
                           var opec = "";
                           var tipo_contatto = ""
                           var descrizione = ""
                           var orari = ""
                           var orariCli = ""
                           var carteCredito = ""
                           var cucina = ""
                           var servizi = ""
                           nome += item.ragione_sociale
                           if(typeof item.insegna !== "object") nome += "<br>"+item.insegna
                           indirizzo += item.indirizzo
                           citta += item.cap + " "+ item.comune + " (" + item.provincia + ")";
                           opec = item.codiceOPEC;
                           if(typeof item.descrizione !== "object") descrizione = item.descrizione
                           $.each(item.contatti,function(y,contact){                              
                              if(debug) view("contact: "+contact);
                              $.each(contact,function(y,cont){
                                   tipo_contatto  = cont.tipo

                                   if((tipo_contatto == "F")||(tipo_contatto == "M")||(tipo_contatto == "NV")){
                                       contatti += '<a href="tel:'+cont.prefisso+''+ cont.numero +'">'
                                       contatti += '<img src="images/Phone_1.png" class="button_contact" />'
                                       contatti += '</a>' 
                                   }
                                   if(tipo_contatto == "EMAIL"){
                                       contatti += '<a href="mailto:'+ cont.numero+'">'
                                       contatti += '<img src="images/Email_1.png" class="button_contact" />'
                                       contatti += '</a>'
                                   }
                                   if(tipo_contatto == "M"){
                                       contatti += '<a href="sms:' + cont.prefisso +''+  cont.numero+'">'
                                       contatti += '<img src="images/Mobile_1.png" class="button_contact" />'
                                       contatti += '</a>'
                                   }
                              })
                           })
                           //oggetti
                           $.each(item.oggetti,function(z,ogg){                             
                              if(debug) view("ogg: "+ogg);
                              if( Object.prototype.toString.call( ogg ) === '[object Array]' ) {
                                    $.each(ogg,function(a,og){
                                        //orari farmacia
                                        if(og.nome_oggetto == "VFA"){
                                            orari += "<div class='dataOr'><b>"+og.template+"</b></div>";
                                            orari += "<div class='oraOr'>"
                                            if(typeof og.testo !== "object") orari+=og.testo;
                                            else orari += "CHIUSO";
                                            orari += "</div>"
                                        } 
                                        //orari cli
                                        if(og.nome_oggetto == "CLI"){
                                            orariCli += "<div class='dataOr'><b>"+og.template+"</b></div>";
                                            orariCli += "<div class='oraOr'>"
                                            if(typeof og.testo !== "object") orariCli += og.testo;
                                            else orariCli += "CHIUSO";
                                            orariCli += "</div>"
                                        }
                                        //carte di credito
                                        if(og.nome_oggetto == "CC"){
                                            if(typeof og.testo !== "object") carteCredito += og.testo+" / ";
                                        }
                                        //cucina
                                        if(og.nome_oggetto == "CU"){
                                            if(typeof og.testo !== "object") cucina += og.testo+" / ";
                                        }
                                        //servizi
                                        if(og.nome_oggetto == "SE"){
                                            if(typeof og.testo !== "object") servizi += og.testo+" / ";
                                        }
                                    })
                              }
                              else{
                                  //orari farmacia
                                  if(ogg.nome_oggetto == "VFA"){
                                      orari += "<div class='dataOr'><b>"+ogg.template+"</b></div>";
                                      orari += "<div class='oraOr'>"
                                      if(typeof ogg.testo !== "object") orari += ogg.testo;
                                      else orari += "CHIUSO";
                                      orari += "</div>"
                                  }
                                  //orari cli
                                  if(ogg.nome_oggetto == "VFA"){
                                      orariCli += "<div class='dataOr'><b>"+ogg.template+"</b></div>";                                    
                                      orariCli += "<div class='oraOr'>"
                                      if(typeof ogg.testo !== "object") orariCli += ogg.testo;
                                      else orariCli += "CHIUSO";
                                      orariCli += "</div>"
                                  }
                                  //carte di credito
                                  if(ogg.nome_oggetto == "CC"){
                                     if(typeof ogg.testo !== "object") carteCredito += ogg.testo+" / ";
                                  } 
                                  //cucina
                                  if(ogg.nome_oggetto == "CU"){
                                     if(typeof ogg.testo !== "object") cucina += ogg.testo+" / ";
                                  }
                                  //cucina
                                  if(ogg.nome_oggetto == "SE"){
                                     if(typeof ogg.testo !== "object") servizi += ogg.testo+" / ";
                                  }
                              }
                           })
                           //navigatore
                           if(isAndroid) {
                               contatti += '<a href="geo:'+item.latitudine+','+item.longitudine+'?q='+item.indirizzo.toLowerCase()+'+'+item.comune.toLowerCase()+'">'
                               contatti += '<img src="images/Nav_1.png" class="button_contact" />'
                               contatti += '</a>'
                           }
                           else if(isIOS){
                               //<a href="http://maps.apple.com/?q=cupertino">Cupertino</a>
                               contatti += '<a href="http://maps.google.com/?q='+item.indirizzo.toLowerCase()+'+'+item.comune.toLowerCase()+'&ll='+item.latitudine+','+item.longitudine+'" >'
                               contatti += '<img src="images/Nav_1.png" class="button_contact" />'
                               contatti += '</a>'
                           }
                           //categorie
                           var input = [];
                           if( Object.prototype.toString.call( item.category_name ) === '[object Array]' ) {
                                $.each(item.category_name,function(y,cat){
                                    input.push(cat);
                                });
                           }
                           else{
                               input.push(item.category_name);
                           }
                           categoria += "<p class='ui-li-desc categorie_listing info'><b>Categoria: </b>";
                           categoria += "<i>"+input+"</i>";
                           categoria += "</p>";
                           //result
                           results += "<div class='boxContainer'>"
                           results += "<div class='intestazione'>"                           
                           if(nome != "")        results += "<h2 class='title'>"+nome+"</h2>"
                           if(indirizzo != "")   results += "<p class='info'>"+indirizzo + "</p>"
                           if(citta != "")       results += "<p class='info'>" +  citta + "</p>"
                           results += "</div>"
                           if(descrizione != "") results += "<p class='descrizione'>" + descrizione + "</p>";
                           if(categoria != "")   results += categoria
                           if(carteCredito != "")results += "<p class='info'><b>Carte di credito: </b><i>" + carteCredito + "</i></p>"
                           if(cucina != "")      results += "<p class='info'><b>Cucina: </b><i>" + cucina + "</i></p>"
                           if(servizi != "")     results += "<p class='info'><b>Servizi: </b><i>" + servizi + "</i></p>"
                           if(orari != "")       results += orari
                           if(orariCli != "")    results += orariCli
                           if(contatti != "")    results += "<p class='contatti'>"+ contatti + "</p>"
                           results += "</div>"
                       });
                    }
                    //print result
                    $("#container").html(results)
                    $(".loading").hide()
                    })
                .fail(function( jqxhr, textStatus, error ) {
                        var err = textStatus + ', ' + error;                        
                        if(debug) view("Request Failed: "+err);
                        results += "<div class='boxContainer'>Errore generico.<br/>Riavviare l' applicazione</div>"
                        $("#container").html(results)
                        $(".loading").hide()
                });
        }
        else{
            alert("Il campo CATEGORIA e' obbligatorio")
            return false;
        }
    })
    // exit app
    $(".quit").live("click", function(){ 
        navigator.app.exitApp() 
    });
    // more result aziende
    $("#more_result").click(function() {
        var results = ""
        if(totpage == page_number) $("#more_result").hide()
        else page_number++;
        $.mobile.showPageLoadingMsg();
        $.getJSON('http://api.892000.it/engine_1.php?cosa='+cosa+'&cat='+category+'&dove='+dove+'&aziende=1&rp=20&export=json&utl=antonio&token=4nt0n10&page='+page_number)
                .done(function(data){
                    //paginazione    
                    nresults = data.summary.nresults;
                    npage = data.summary.npage;
                    totpage = data.summary.totpage;
                    if(nresults == 0){
                           results += "<div class='boxContainer'>Nessun risultato trovato</div>";
                           $(".loading").hide()
                    }
                    else{
                       if( Object.prototype.toString.call( data.results.listing.row ) === '[object Array]' ) {
                            var search;
                            search = data.results.listing.row
                       }
                       else{
                           var search = new Array(); 
                           search[0] = data.results.listing.row
                       }  
                       $.each(search, function(i,item){                          
                           var nome = ""
                           var indirizzo = ""
                           var citta = ""
                           var categoria = ""
                           var contatti = ""
                           var opec = "";
                           var descrizione = "";
                           var orari = ""
                           var orariCli = ""
                           var carteCredito = ""
                           var cucina = ""
                           var servizi = ""
                           var tipo_contatto = ""
                           nome += item.ragione_sociale
                           if(typeof item.insegna !== "object") nome += "<br>"+item.insegna
                           indirizzo += item.indirizzo
                           citta += item.cap + " "+ item.comune + " (" + item.provincia + ")";
                           opec = item.codiceOPEC;
                           if(typeof item.descrizione !== "object") descrizione = item.descrizione
                           $.each(item.contatti,function(y,contact){                              
                              $.each(contact,function(y,cont){
                                   tipo_contatto  = cont.tipo

                                   if((tipo_contatto == "F")||(tipo_contatto == "M")||(tipo_contatto == "NV")){
                                       contatti += '<a href="tel:'+cont.prefisso+''+ cont.numero +'">'
                                       contatti += '<img src="images/Phone_1.png" class="button_contact" />'
                                       contatti += '</a>' 
                                   }
                                   if(tipo_contatto == "EMAIL"){
                                       contatti += '<a href="mailto:'+ cont.numero+'">'
                                       contatti += '<img src="images/Email_1.png" class="button_contact" />'
                                       contatti += '</a>'
                                   }
                                   if(tipo_contatto == "M"){
                                       contatti += '<a href="sms:' + cont.prefisso +''+  cont.numero+'">'
                                       contatti += '<img src="images/Mobile_1.png" class="button_contact" />'
                                       contatti += '</a>'
                                   }
                              })
                           })
                           //oggetti
                           $.each(item.oggetti,function(z,ogg){                              
                              if( Object.prototype.toString.call( ogg ) === '[object Array]' ) {
                                    $.each(ogg,function(a,og){
                                        //orari farmacia
                                        if(og.nome_oggetto == "VFA"){
                                            orari += "<div class='dataOr'><b>"+og.template+"</b></div>";                                            
                                            orari += "<div class='oraOr'>"
                                            if(typeof og.testo !== "object") orari+=og.testo;
                                            else orari += "CHIUSO";
                                            orari += "</div>"
                                        } 
                                        //orari cli
                                        if(og.nome_oggetto == "CLI"){
                                            orariCli += "<div class='dataOr'><b>"+og.template+"</b></div>";
                                            orariCli += "<div class='oraOr'>"
                                            if(typeof og.testo !== "object") orariCli += og.testo;
                                            else orariCli += "CHIUSO";
                                            orariCli += "</div>"
                                        }
                                        //carte di credito
                                        if(og.nome_oggetto == "CC"){
                                            if(typeof og.testo !== "object") carteCredito += og.testo+" / ";
                                        }
                                        //cucina
                                        if(og.nome_oggetto == "CU"){
                                            if(typeof og.testo !== "object") cucina += og.testo+" / ";
                                        }
                                        //servizi
                                        if(og.nome_oggetto == "SE"){
                                            if(typeof og.testo !== "object") servizi += og.testo+" / ";
                                        }
                                    })
                              }
                              else{
                                  //orari farmacia
                                  if(ogg.nome_oggetto == "VFA"){
                                      orari += "<div class='dataOr'><b>"+ogg.template+"</b></div>";
                                      orari += "<div class='oraOr'>"
                                      if(typeof ogg.testo !== "object") orari+=ogg.testo;
                                      else orari += "CHIUSO";
                                      orari += "</div>"
                                  }
                                  //orari cli
                                  if(ogg.nome_oggetto == "VFA"){
                                      orariCli += "<div class='dataOr'><b>"+ogg.template+"</b></div>";
                                      orariCli += "<div class='oraOr'>"
                                      if(typeof ogg.testo !== "object") orariCli += ogg.testo;
                                      else orariCli += "CHIUSO";
                                      orariCli += "</div>"
                                  }
                                  //carte di credito
                                  if(ogg.nome_oggetto == "CC"){
                                     if(typeof ogg.testo !== "object") carteCredito += ogg.testo+" / ";
                                  } 
                                  //cucina
                                  if(ogg.nome_oggetto == "CU"){
                                     if(typeof ogg.testo !== "object") cucina += ogg.testo+" / ";
                                  }
                                  //cucina
                                  if(ogg.nome_oggetto == "SE"){
                                     if(typeof ogg.testo !== "object") servizi += ogg.testo+" / ";
                                  }
                              }
                           })
                           //navigatore
                           if(isAndroid) {
                               contatti += '<a href="geo:'+item.latitudine+','+item.longitudine+'?q='+item.indirizzo.toLowerCase()+'+'+item.comune.toLowerCase()+'">'
                               contatti += '<img src="images/Nav_1.png" class="button_contact" />'
                               contatti += '</a>'
                           }
                           else if(isIOS){
                               //<a href="http://maps.apple.com/?q=cupertino">Cupertino</a>
                               contatti += '<a href="http://maps.google.com/?q='+item.indirizzo.toLowerCase()+'+'+item.comune.toLowerCase()+'&ll='+item.latitudine+','+item.longitudine+'" >'
                               contatti += '<img src="images/Nav_1.png" class="button_contact" />'
                               contatti += '</a>'
                           }
                           //categorie
                           var input = [];
                           if( Object.prototype.toString.call( item.category_name ) === '[object Array]' ) {
                                $.each(item.category_name,function(y,cat){
                                    input.push(cat);
                                });
                           }
                           else{
                               input.push(item.category_name);
                           }
                           categoria += "<p class='ui-li-desc categorie_listing info'><b>Categoria: </b>";
                           categoria += "<i>"+input+"</i>";
                           categoria += "</p>";
                           //result
                           results += "<div class='boxContainer'>"
                           results += "<div class='intestazione'>"                           
                           if(nome != "")        results += "<h2 class='title'>"+nome+"</h2>"
                           if(indirizzo != "")   results += "<p class='info'>"+indirizzo + "</p>"
                           if(citta != "")       results += "<p class='info'>" +  citta + "</p>"
                           results += "</div>"
                           if(descrizione != "") results += "<p class='descrizione'>" + descrizione + "</p>";
                           if(categoria != "")   results += categoria
                           if(carteCredito != "")results += "<p class='info'><b>Carte di credito: </b><i>" + carteCredito + "</i></p>"
                           if(cucina != "")      results += "<p class='info'><b>Cucina: </b><i>" + cucina + "</i></p>"
                           if(servizi != "")     results += "<p class='info'><b>Servizi: </b><i>" + servizi + "</i></p>"
                           if(orari != "")       results += orari
                           if(orariCli != "")    results += orariCli
                           if(contatti != "")    results += "<p class='contatti'>"+ contatti + "</p>"
                           results += "</div>"       
                       });
                    }
                    //print result
                    $("#container").append(results)
                    $(".loading").hide()
                    $.mobile.hidePageLoadingMsg();
                })
                .fail(function( jqxhr, textStatus, error ) {
                        var err = textStatus + ', ' + error;                        
                        if(debug) view("Request Failed: " + err);
                        results += "<div class='boxContainer'>Errore generico.<br/>Riavviare l' applicazione</div>"
                        $("#container").html(results)
                        $(".loading").hide()
                        $.mobile.hidePageLoadingMsg();
                });
    });
    //more result privati
    $("#more_result_privati").click(function() {
        var results = ""
        if(totpage == page_number) $("#more_result_privati").hide()
        else page_number++;
        $.mobile.showPageLoadingMsg();
        $.ajax({ 
            type: "GET", 
            url: 'http://api.892000.it/engine_1.php?cosa='+cosa+'&dove='+dove+'&utenze=1&rp=20&export=xml&utl=antonio&token=4nt0n10&page='+page_number, 
            cache : false, 
            crossDomain: "true", 
            success: function(data) { 
                if(debug) view(data);
                var xmlDoc = jQuery.parseXML(data);                
                $xml = $( xmlDoc )
                //paginazione    
                $xml.find('summary').each(function(){
                    nresults = $(this).find('nresults').text();
                    npage = $(this).find('npage').text();
                    totpage = $(this).find('totpage').text();
                })
                if(nresults == 0){
                    if(nresults == 0){
                       results += "<div class='boxContainer'>Nessun risultato trovato</div>"
                       $(".loading").hide()
                    }   
                    $(".loading").hide()
                } 
                else{
                    if(totpage > 1) $("#more_result_privati").css("visibility","visible") ;
                    //risultati
                    $xml.find('row').each(function(){
                        var nome = ""
                        var indirizzo = ""
                        var citta = ""
                        var contatti = ""
                        var professione = ""
                        if($(this).find('cognome').text()  != "") nome += $(this).find('cognome').text().toUpperCase() + " ";
                        if($(this).find('nome').text()  != "")    nome += $(this).find('nome').text().toUpperCase();
                        if(($(this).find('professione').text()  != "")&&($(this).find('professione').text()  != " "))    professione += $(this).find('professione').text();
                        if($(this).find('via').text()  != "")     indirizzo += $(this).find('via').text().toLowerCase()
                        if($(this).find('comune').attr('cap')  != "") citta += $(this).find('comune').attr('cap') + ' ';
                        if($(this).find('comune').text()  != "") citta += $(this).find('comune').text().substr(0, 1).toUpperCase() + $(this).find('comune').text().substr(1).toLowerCase()  + ' ';
                        if($(this).find('comune').attr('provincia')  != "") citta += '('+ $(this).find('comune').attr('provincia').toUpperCase() + ')';
                        $(this).find('contatto').each(function(){
                            var tipo_contatto = $(this).attr('tipo');
                            if((tipo_contatto == "F")||(tipo_contatto == "M")||(tipo_contatto == "NV")){
                                contatti += '<a href="tel:'+$(this).attr('prefisso')+''+ $(this).text()+'">'
                                contatti += '<img src="images/Phone_1.png" class="button_contact" />'
                                contatti += '</a>' 
                            }
                            if(tipo_contatto == "EMAIL"){
                                contatti += '<a href="mailto:'+$(this).text()+'">'
                                contatti += '<img src="images/Email_1.png" class="button_contact" />'
                                contatti += '</a>'
                            }
                            if(tipo_contatto == "M"){
                                contatti += '<a href="sms:'+$(this).attr('prefisso')+''+ $(this).text()+'">'
                                contatti += '<img src="images/Mobile_1.png" class="button_contact" />'
                                contatti += '</a>'
                            }
                        }) 
                        if(($(this).find('email').text() != " ")&&($(this).find('email').text() != "")){
                            contatti += '<a href="mailto:'+$(this).find('email').text()+'">'
                            contatti += '<img src="images/Email_1.png" class="button_contact" />'
                            contatti += '</a>'
                        } 
                        if(isAndroid) {
                            contatti += '<a href="geo:0,0?q='+$(this).find('via').text().toLowerCase()+'+'+$(this).find('comune').text().toLowerCase()+',' + $(this).find('comune').attr('provincia')+'" >'
                            contatti += '<img src="images/Nav_1.png" class="button_contact" />'
                            contatti += '</a>'
                        }
                        else if(isIOS){
                            //<a href="http://maps.apple.com/?q=cupertino">Cupertino</a>
                            contatti += '<a href="http://maps.google.com/?q='+$(this).find('via').text().toLowerCase()+'+'+$(this).find('comune').text().toLowerCase()+',' + $(this).find('comune').attr('provincia')+'" >'
                            contatti += '<img src="images/Nav_1.png" class="button_contact" />'
                            contatti += '</a>'
                        }
                        //results
                        results += "<div class='boxContainer'>"
                        results += "<div class='intestazione'>"                           
                        if(nome != "")        results += "<h2 class='title'>"+nome+"</h2>"
                        if(indirizzo != "")   results += "<p class='info'>"+indirizzo + "</p>"
                        if(citta != "")       results += "<p class='info'>" +  citta + "</p>"
                        results += "</div>"
                        if((professione != "")&&(professione != " ")) results += "<p class='info'><b>Professione: </b><i>" + professione + "</i></p>"
                        if(contatti != "")    results += "<p class='contatti'>"+ contatti + "</p>"
                        results += "</div>"                        
                    })
                    //print result
                    $("#container").append(results)
                    $(".loading").hide()
                    $.mobile.hidePageLoadingMsg();
                }
            }, 
            error: function (xhr, status) {  
                if(debug) view( "Request Failed: " + status);
                results += "<div class='boxContainer'>Errore generico.<br/>Riavviare l' applicazione</div>"
                $("#container").html(results)
                $.mobile.hidePageLoadingMsg();
                $(".loading").hide()
            }    
        });
    });
    //per ogni pagina, recupero nome città
    $(document).delegate('.ui-page', 'pageshow', function () {
        reverseGeolocate();
    });
}